sysutils/ruby-facter - The NetBSD Packages Collection

Cross-platform Ruby library for retrieving facts from OS

Cross-platform Ruby library for retrieving facts from operating systems.
Supports multiple resolution mechanisms, any of which can be restricted to
working only on certain operating systems or environments. Facter is
especially useful for retrieving things like operating system names, IP
addresses, MAC addresses, and SSH keys.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/ruby-hocon devel/ruby-thor lang/ruby26-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby25-facter-4.0.38.tgz
NetBSD 8.0earmv7hfruby26-facter-4.0.38.tgz
NetBSD 8.0earmv7hfruby27-facter-4.0.38.tgz
NetBSD 8.0earmv7hfruby25-facter-4.0.38.tgz
NetBSD 8.0earmv7hfruby26-facter-4.0.38.tgz
NetBSD 8.0earmv7hfruby27-facter-4.0.38.tgz
NetBSD 8.0earmv7hfruby25-facter-4.0.52.tgz
NetBSD 8.0earmv7hfruby26-facter-4.0.52.tgz
NetBSD 8.0earmv7hfruby27-facter-4.0.52.tgz
NetBSD 8.0i386ruby25-facter-4.0.38.tgz
NetBSD 8.0i386ruby26-facter-4.0.38.tgz
NetBSD 8.0i386ruby27-facter-4.0.38.tgz
NetBSD 8.0i386ruby25-facter-4.0.38.tgz
NetBSD 8.0i386ruby26-facter-4.0.38.tgz
NetBSD 8.0i386ruby27-facter-4.0.38.tgz
NetBSD 8.0i386ruby25-facter-4.0.52.tgz
NetBSD 8.0i386ruby26-facter-4.0.52.tgz
NetBSD 8.0i386ruby27-facter-4.0.52.tgz
NetBSD 8.0powerpcruby25-facter-4.0.38.tgz
NetBSD 8.0powerpcruby26-facter-4.0.38.tgz
NetBSD 8.0powerpcruby27-facter-4.0.38.tgz
NetBSD 8.0powerpcruby25-facter-4.0.38.tgz
NetBSD 8.0powerpcruby26-facter-4.0.38.tgz
NetBSD 8.0powerpcruby27-facter-4.0.38.tgz
NetBSD 8.0powerpcruby25-facter-4.0.38.tgz
NetBSD 8.0powerpcruby26-facter-4.0.38.tgz
NetBSD 8.0powerpcruby27-facter-4.0.38.tgz
NetBSD 8.0x86_64ruby25-facter-4.0.52.tgz
NetBSD 8.0x86_64ruby26-facter-4.0.52.tgz
NetBSD 8.0x86_64ruby27-facter-4.0.52.tgz
NetBSD 8.0x86_64ruby25-facter-4.0.38.tgz
NetBSD 8.0x86_64ruby26-facter-4.0.38.tgz
NetBSD 8.0x86_64ruby27-facter-4.0.38.tgz
NetBSD 8.0x86_64ruby25-facter-4.0.38.tgz
NetBSD 8.0x86_64ruby26-facter-4.0.38.tgz
NetBSD 8.0x86_64ruby27-facter-4.0.38.tgz
NetBSD 9.0aarch64ruby25-facter-4.0.52.tgz
NetBSD 9.0aarch64ruby26-facter-4.0.52.tgz
NetBSD 9.0aarch64ruby27-facter-4.0.52.tgz
NetBSD 9.0aarch64ruby25-facter-4.0.38.tgz
NetBSD 9.0aarch64ruby26-facter-4.0.38.tgz
NetBSD 9.0aarch64ruby27-facter-4.0.38.tgz
NetBSD 9.0aarch64ruby25-facter-4.0.38.tgz
NetBSD 9.0aarch64ruby26-facter-4.0.38.tgz
NetBSD 9.0aarch64ruby27-facter-4.0.38.tgz
NetBSD 9.0alpharuby25-facter-4.0.38.tgz
NetBSD 9.0alpharuby26-facter-4.0.38.tgz
NetBSD 9.0alpharuby27-facter-4.0.38.tgz
NetBSD 9.0alpharuby25-facter-4.0.38.tgz
NetBSD 9.0alpharuby26-facter-4.0.38.tgz
NetBSD 9.0alpharuby27-facter-4.0.38.tgz
NetBSD 9.0earmruby25-facter-4.0.38.tgz
NetBSD 9.0earmruby26-facter-4.0.38.tgz
NetBSD 9.0earmv6hfruby25-facter-4.0.52.tgz
NetBSD 9.0earmv6hfruby26-facter-4.0.52.tgz
NetBSD 9.0earmv6hfruby27-facter-4.0.52.tgz
NetBSD 9.0earmv6hfruby25-facter-4.0.38.tgz
NetBSD 9.0earmv6hfruby26-facter-4.0.38.tgz
NetBSD 9.0earmv6hfruby27-facter-4.0.38.tgz
NetBSD 9.0earmv6hfruby25-facter-4.0.38.tgz
NetBSD 9.0earmv6hfruby26-facter-4.0.38.tgz
NetBSD 9.0earmv6hfruby27-facter-4.0.38.tgz
NetBSD 9.0earmv6hfruby25-facter-4.0.38.tgz
NetBSD 9.0earmv6hfruby26-facter-4.0.38.tgz
NetBSD 9.0earmv6hfruby27-facter-4.0.38.tgz
NetBSD 9.0earmv7hfruby25-facter-4.0.52.tgz
NetBSD 9.0earmv7hfruby26-facter-4.0.52.tgz
NetBSD 9.0earmv7hfruby27-facter-4.0.52.tgz
NetBSD 9.0earmv7hfruby25-facter-4.0.38.tgz
NetBSD 9.0earmv7hfruby26-facter-4.0.38.tgz
NetBSD 9.0earmv7hfruby27-facter-4.0.38.tgz
NetBSD 9.0earmv7hfruby25-facter-4.0.38.tgz
NetBSD 9.0earmv7hfruby26-facter-4.0.38.tgz
NetBSD 9.0earmv7hfruby27-facter-4.0.38.tgz
NetBSD 9.0earmv7hfruby25-facter-4.0.38.tgz
NetBSD 9.0earmv7hfruby26-facter-4.0.38.tgz
NetBSD 9.0earmv7hfruby27-facter-4.0.38.tgz
NetBSD 9.0i386ruby25-facter-4.0.38.tgz
NetBSD 9.0i386ruby26-facter-4.0.38.tgz
NetBSD 9.0i386ruby27-facter-4.0.38.tgz
NetBSD 9.0i386ruby25-facter-4.0.38.tgz
NetBSD 9.0i386ruby26-facter-4.0.38.tgz
NetBSD 9.0i386ruby27-facter-4.0.38.tgz
NetBSD 9.0i386ruby25-facter-4.0.52.tgz
NetBSD 9.0i386ruby26-facter-4.0.52.tgz
NetBSD 9.0i386ruby27-facter-4.0.52.tgz
NetBSD 9.0mips64ebruby25-facter-4.0.38.tgz
NetBSD 9.0mips64ebruby26-facter-4.0.38.tgz
NetBSD 9.0mips64ebruby27-facter-4.0.38.tgz
NetBSD 9.0mips64ebruby25-facter-4.0.38.tgz
NetBSD 9.0mips64ebruby26-facter-4.0.38.tgz
NetBSD 9.0mips64ebruby27-facter-4.0.38.tgz
NetBSD 9.0powerpcruby25-facter-4.0.38.tgz
NetBSD 9.0powerpcruby26-facter-4.0.38.tgz
NetBSD 9.0powerpcruby27-facter-4.0.38.tgz
NetBSD 9.0powerpcruby25-facter-4.0.38.tgz
NetBSD 9.0powerpcruby26-facter-4.0.38.tgz
NetBSD 9.0powerpcruby27-facter-4.0.38.tgz
NetBSD 9.0sparc64ruby25-facter-4.0.26.tgz
NetBSD 9.0sparc64ruby26-facter-4.0.26.tgz
NetBSD 9.0sparc64ruby27-facter-4.0.26.tgz
NetBSD 9.0sparc64ruby25-facter-4.0.38.tgz
NetBSD 9.0sparc64ruby26-facter-4.0.38.tgz
NetBSD 9.0sparc64ruby27-facter-4.0.38.tgz
NetBSD 9.0sparc64ruby25-facter-4.0.38.tgz
NetBSD 9.0sparc64ruby26-facter-4.0.38.tgz
NetBSD 9.0sparc64ruby27-facter-4.0.38.tgz
NetBSD 9.0sparcruby25-facter-4.0.38.tgz
NetBSD 9.0sparcruby27-facter-4.0.38.tgz
NetBSD 9.0sparcruby25-facter-4.0.38.tgz
NetBSD 9.0sparcruby27-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby25-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby26-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby27-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby25-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby26-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby27-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby25-facter-4.0.50.tgz
NetBSD 9.0x86_64ruby26-facter-4.0.50.tgz
NetBSD 9.0x86_64ruby27-facter-4.0.50.tgz
NetBSD 9.0x86_64ruby25-facter-4.0.52.tgz
NetBSD 9.0x86_64ruby26-facter-4.0.52.tgz
NetBSD 9.0x86_64ruby27-facter-4.0.52.tgz
NetBSD 9.0x86_64ruby25-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby26-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby27-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby25-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby26-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby27-facter-4.0.38.tgz
NetBSD 9.0x86_64ruby25-facter-4.0.52.tgz
NetBSD 9.0x86_64ruby26-facter-4.0.52.tgz
NetBSD 9.0x86_64ruby27-facter-4.0.52.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.